<?php

class VstMenuOpcion {
	
	protected $url;
	protected $icono;
	protected $titulo;
	protected $label_htm;
	
	/*
	 * TODO: subopciones
	 * y label_htm
	 */
	
	public function __construct($titulo, $url, $icono){
		$this->url = BASEURL.'/'.$url;
		$this->titulo = $titulo;
		$this->icono  =$icono;
	}
	
	public function toArray(){
		
		$res = array('title'	=> $this->titulo,
						'url' 	=> $this->url,
						'icon'	=> $this->icono
						);
		return $res;		
		
	}
	
}